##### basic_seq_packet_socket::get_option (2 of 2 overloads)

Inherited from basic_socket.

Get an option from the socket.

    template<
        typename GettableSocketOption>
    void get_option(
        GettableSocketOption & option,
        asio::error_code & ec) const;

This function is used to get the current value of an option on the socket.

###### Parameters

option

  The option value to be obtained from the socket.

ec

  Set to indicate what error occurred, if any.

###### Example

Getting the value of the SOL_SOCKET/SO_KEEPALIVE option:

    asio::ip::tcp::socket socket(my_context);
    ...
    asio::ip::tcp::socket::keep_alive option;
    asio::error_code ec;
    socket.get_option(option, ec);
    if (ec)
    {
      // An error occurred.
    }
    bool is_set = option.value();